
module.exports = ({ phrase, locale }, ...variables) => {

    const language = ['pt-br', 'en', 'es'].find(language => language === locale);

    if(language) {
        const phrases = require(`../locale/${locale}.json`);

        if(phrases) {
            const value = phrases[phrase];

            if(value) {
                const phraseWithVariables = variables.reduce((phrase, variable, index) => {
                    return phrase.replace(`{{${index}}}`, variable)
                }, value);

                return phraseWithVariables;
            }

        }
    }

    return phrase;

};
